Document Classifiers - Get Classify Result
Gets the result of document classifier.
GET {endpoint}/documentintelligence/documentClassifiers/{classifierId}/analyzeResults/{resultId}?api-version=2024-11-30
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
classifier
|
path | True |
string maxLength: 64pattern: ^[a-zA-Z0-9][a-zA-Z0-9._~-]{1,63}$ |
Unique document classifier name. |
|
endpoint
|
path | True |
string (uri) |
The Document Intelligence service endpoint. |
|
result
|
path | True |
string (uuid) |
Analyze operation result ID. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
The request has succeeded. |
|
| Other Status Codes |
An unexpected error response. |
Security
Ocp-Apim-Subscription-Key
Type:
apiKey
In:
header
OAuth2Auth
Type:
oauth2
Flow:
accessCode
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Token URL:
https://login.microsoftonline.com/common/oauth2/token
Scopes
| Name | Description |
|---|---|
| https://cognitiveservices.azure.com/.default |
Examples
Get Classify Document Result
Sample request
GET https://myendpoint.cognitiveservices.azure.com/documentintelligence/documentClassifiers/myClassifier/analyzeResults/3b31320d-8bab-4f88-b19c-2322a7f11034?api-version=2024-11-30
Sample response
{
"status": "succeeded",
"createdDateTime": "2021-09-24T13:00:46Z",
"lastUpdatedDateTime": "2021-09-24T13:00:49Z",
"analyzeResult": {
"apiVersion": "2024-11-30",
"modelId": "myClassifier",
"stringIndexType": "textElements",
"contentFormat": "text",
"content": "",
"pages": [
{
"pageNumber": 1,
"width": 8.5,
"height": 11,
"unit": "inch",
"spans": []
},
{
"pageNumber": 2,
"width": 8.5,
"height": 11,
"unit": "inch",
"spans": []
},
{
"pageNumber": 3,
"width": 8.5,
"height": 11,
"unit": "inch",
"spans": []
}
],
"documents": [
{
"docType": "formA",
"boundingRegions": [
{
"pageNumber": 1,
"polygon": [
0,
0,
8.5,
0,
8.5,
11,
0,
11
]
},
{
"pageNumber": 2,
"polygon": [
0,
0,
8.5,
0,
8.5,
11,
0,
11
]
}
],
"confidence": 0.97,
"spans": []
},
{
"docType": "formB",
"boundingRegions": [
{
"pageNumber": 3,
"polygon": [
0,
0,
8.5,
0,
8.5,
11,
0,
11
]
}
],
"confidence": 0.97,
"spans": []
}
]
}
}
Definitions
| Name | Description |
|---|---|
|
Address |
Address field value. |
|
Analyzed |
An object describing the location and semantic content of a document. |
|
Analyze |
Status and result of the analyze operation. |
|
Analyze |
Document analysis result. |
|
Bounding |
Bounding polygon on a specific page of the input. |
|
Currency |
Currency field value. |
|
Document |
A barcode object. |
|
Document |
Barcode kind. |
|
Document |
A caption object describing a table or figure. |
|
Document |
Format of the content in analyzed result. |
|
Document |
An object representing the content and location of a field value. |
|
Document |
Semantic data type of the field value. |
|
Document |
An object representing a figure in the document. |
|
Document |
Font style. |
|
Document |
Font weight. |
|
Document |
A footnote object describing a table or figure. |
|
Document |
A formula object. |
|
Document |
Formula kind. |
|
Document |
The error object. |
|
Document |
Error response object. |
|
Document |
An object containing more specific information about the error. |
|
Document |
Operation status. |
|
Document |
The error object. |
|
Document |
An object representing the field key or value in a key-value pair. |
|
Document |
An object representing a form field with distinct field label (key) and field value (may be empty). |
|
Document |
An object representing the detected language for a given text span. |
|
Document |
A content line object consisting of an adjacent sequence of content elements, such as words and selection marks. |
|
Document |
Content and layout elements extracted from a page from the input. |
|
Document |
A paragraph object consisting with contiguous lines generally with common alignment and spacing. |
|
Document |
An object representing a section in the document. |
|
Document |
A selection mark object representing check boxes, radio buttons, and other elements indicating a selection. |
|
Document |
State of the selection mark. |
|
Document |
Presence of signature. |
|
Document |
Contiguous region of the concatenated content property, specified as an offset and length. |
|
Document |
An object representing observed text styles. |
|
Document |
A table object consisting table cells arranged in a rectangular layout. |
|
Document |
An object representing the location and content of a table cell. |
|
Document |
Table cell kind. |
|
Document |
A word object consisting of a contiguous sequence of characters. For non-space delimited languages, such as Chinese, Japanese, and Korean, each character is represented as its own word. |
|
Length |
The unit used by the width, height, and polygon properties. For images, the unit is "pixel". For PDF, the unit is "inch". |
|
Paragraph |
Semantic role of the paragraph. |
|
String |
Method used to compute string offset and length. |
AddressValue
Address field value.
| Name | Type | Description |
|---|---|---|
| city |
string |
Name of city, town, village, etc. |
| cityDistrict |
string |
Districts or boroughs within a city, such as Brooklyn in New York City or City of Westminster in London. |
| countryRegion |
string |
Country/region. |
| house |
string |
Build name, such as World Trade Center. |
| houseNumber |
string |
House or building number. |
| level |
string |
Floor number, such as 3F. |
| poBox |
string |
Post office box number. |
| postalCode |
string |
Postal code used for mail sorting. |
| road |
string |
Street name. |
| state |
string |
First-level administrative division. |
| stateDistrict |
string |
Second-level administrative division used in certain locales. |
| streetAddress |
string |
Street-level address, excluding city, state, countryRegion, and postalCode. |
| suburb |
string |
Unofficial neighborhood name, like Chinatown. |
| unit |
string |
Apartment or office number |
AnalyzedDocument
An object describing the location and semantic content of a document.
| Name | Type | Description |
|---|---|---|
| boundingRegions |
Bounding regions covering the document. |
|
| confidence |
number (float) minimum: 0maximum: 1 |
Confidence of correctly extracting the document. |
| docType |
string minLength: 2maxLength: 64 |
Document type. |
| fields |
<string,
Document |
Dictionary of named field values. |
| spans |
Location of the document in the reading order concatenated content. |
AnalyzeOperation
Status and result of the analyze operation.
| Name | Type | Description |
|---|---|---|
| analyzeResult |
Document analysis result. |
|
| createdDateTime |
string (date-time) |
Date and time (UTC) when the analyze operation was submitted. |
| error |
Encountered error during document analysis. |
|
| lastUpdatedDateTime |
string (date-time) |
Date and time (UTC) when the status was last updated. |
| status |
Operation status. notStarted, running, succeeded, or failed |
AnalyzeResult
Document analysis result.
| Name | Type | Description |
|---|---|---|
| apiVersion |
string |
API version used to produce this result. |
| content |
string |
Concatenate string representation of all textual and visual elements in reading order. |
| contentFormat |
Format of the analyze result top-level content. |
|
| documents |
Extracted documents. |
|
| figures |
Extracted figures. |
|
| keyValuePairs |
Extracted key-value pairs. |
|
| languages |
Detected languages. |
|
| modelId |
string pattern: ^[a-zA-Z0-9][a-zA-Z0-9._~-]{1,63}$ |
Document model ID used to produce this result. |
| pages |
Analyzed pages. |
|
| paragraphs |
Extracted paragraphs. |
|
| sections |
Extracted sections. |
|
| stringIndexType |
Method used to compute string offset and length. |
|
| styles |
Extracted font styles. |
|
| tables |
Extracted tables. |
|
| warnings |
List of warnings encountered. |
BoundingRegion
Bounding polygon on a specific page of the input.
| Name | Type | Description |
|---|---|---|
| pageNumber |
integer (int32) minimum: 1 |
1-based page number of page containing the bounding region. |
| polygon |
number[] (float) |
Bounding polygon on the page, or the entire page if not specified. Coordinates specified relative to the top-left of the page. The numbers represent the x, y values of the polygon vertices, clockwise from the left (-180 degrees inclusive) relative to the element orientation. |
CurrencyValue
Currency field value.
| Name | Type | Description |
|---|---|---|
| amount |
number (double) |
Currency amount. |
| currencyCode |
string |
Resolved currency code (ISO 4217), if any. |
| currencySymbol |
string |
Currency symbol label, if any. |
DocumentBarcode
A barcode object.
| Name | Type | Description |
|---|---|---|
| confidence |
number (float) minimum: 0maximum: 1 |
Confidence of correctly extracting the barcode. |
| kind |
Barcode kind. |
|
| polygon |
number[] (float) |
Bounding polygon of the barcode, with coordinates specified relative to the top-left of the page. The numbers represent the x, y values of the polygon vertices, clockwise from the left (-180 degrees inclusive) relative to the element orientation. |
| span |
Location of the barcode in the reading order concatenated content. |
|
| value |
string |
Barcode value. |
DocumentBarcodeKind
Barcode kind.
| Value | Description |
|---|---|
| QRCode |
QR code, as defined in ISO/IEC 18004:2015. |
| PDF417 |
PDF417, as defined in ISO 15438. |
| UPCA |
GS1 12-digit Universal Product Code. |
| UPCE |
GS1 6-digit Universal Product Code. |
| Code39 |
Code 39 barcode, as defined in ISO/IEC 16388:2007. |
| Code128 |
Code 128 barcode, as defined in ISO/IEC 15417:2007. |
| EAN8 |
GS1 8-digit International Article Number (European Article Number). |
| EAN13 |
GS1 13-digit International Article Number (European Article Number). |
| DataBar |
GS1 DataBar barcode. |
| Code93 |
Code 93 barcode, as defined in ANSI/AIM BC5-1995. |
| Codabar |
Codabar barcode, as defined in ANSI/AIM BC3-1995. |
| DataBarExpanded |
GS1 DataBar Expanded barcode. |
| ITF |
Interleaved 2 of 5 barcode, as defined in ANSI/AIM BC2-1995. |
| MicroQRCode |
Micro QR code, as defined in ISO/IEC 23941:2022. |
| Aztec |
Aztec code, as defined in ISO/IEC 24778:2008. |
| DataMatrix |
Data matrix code, as defined in ISO/IEC 16022:2006. |
| MaxiCode |
MaxiCode, as defined in ISO/IEC 16023:2000. |
DocumentCaption
A caption object describing a table or figure.
| Name | Type | Description |
|---|---|---|
| boundingRegions |
Bounding regions covering the caption. |
|
| content |
string |
Content of the caption. |
| elements |
string[] |
Child elements of the caption. |
| spans |
Location of the caption in the reading order concatenated content. |
DocumentContentFormat
Format of the content in analyzed result.
| Value | Description |
|---|---|
| text |
Plain text representation of the document content without any formatting. |
| markdown |
Markdown representation of the document content with section headings, tables, etc. |
DocumentField
An object representing the content and location of a field value.
| Name | Type | Description |
|---|---|---|
| boundingRegions |
Bounding regions covering the field. |
|
| confidence |
number (float) minimum: 0maximum: 1 |
Confidence of correctly extracting the field. |
| content |
string |
Field content. |
| spans |
Location of the field in the reading order concatenated content. |
|
| type |
Data type of the field value. |
|
| valueAddress |
Address value. |
|
| valueArray |
Array of field values. |
|
| valueBoolean |
boolean |
Boolean value. |
| valueCountryRegion |
string |
3-letter country code value (ISO 3166-1 alpha-3). |
| valueCurrency |
Currency value. |
|
| valueDate |
string (date) |
Date value in YYYY-MM-DD format (ISO 8601). |
| valueInteger |
integer (int64) |
Integer value. |
| valueNumber |
number (double) |
Floating point value. |
| valueObject |
<string,
Document |
Dictionary of named field values. |
| valuePhoneNumber |
string |
Phone number value in E.164 format (ex. +19876543210). |
| valueSelectionGroup |
string[] |
Selection group value. |
| valueSelectionMark |
Selection mark value. |
|
| valueSignature |
Presence of signature. |
|
| valueString |
string |
String value. |
| valueTime |
string (time) |
Time value in hh:mm:ss format (ISO 8601). |
DocumentFieldType
Semantic data type of the field value.
| Value | Description |
|---|---|
| string |
Plain text. |
| date |
Date, normalized to ISO 8601 (YYYY-MM-DD) format. |
| time |
Time, normalized to ISO 8601 (hh:mm:ss) format. |
| phoneNumber |
Phone number, normalized to E.164 (+{CountryCode}{SubscriberNumber}) format. |
| number |
Floating point number, normalized to double precision floating point. |
| integer |
Integer number, normalized to 64-bit signed integer. |
| selectionMark |
Is field selected? |
| countryRegion |
Country/region, normalized to ISO 3166-1 alpha-3 format (ex. USA). |
| signature |
Is signature present? |
| array |
List of subfields of the same type. |
| object |
Named list of subfields of potentially different types. |
| currency |
Currency amount with optional currency symbol and unit. |
| address |
Parsed address. |
| boolean |
Boolean value, normalized to true or false. |
| selectionGroup |
Array of selected string values. |
DocumentFigure
An object representing a figure in the document.
| Name | Type | Description |
|---|---|---|
| boundingRegions |
Bounding regions covering the figure. |
|
| caption |
Caption associated with the figure. |
|
| elements |
string[] |
Child elements of the figure, excluding any caption or footnotes. |
| footnotes |
List of footnotes associated with the figure. |
|
| id |
string |
Figure ID. |
| spans |
Location of the figure in the reading order concatenated content. |
DocumentFontStyle
Font style.
| Value | Description |
|---|---|
| normal |
Characters are represented normally. |
| italic |
Characters are visually slanted to the right. |
DocumentFontWeight
Font weight.
| Value | Description |
|---|---|
| normal |
Characters are represented normally. |
| bold |
Characters are represented with thicker strokes. |
DocumentFootnote
A footnote object describing a table or figure.
| Name | Type | Description |
|---|---|---|
| boundingRegions |
Bounding regions covering the footnote. |
|
| content |
string |
Content of the footnote. |
| elements |
string[] |
Child elements of the footnote. |
| spans |
Location of the footnote in the reading order concatenated content. |
DocumentFormula
A formula object.
| Name | Type | Description |
|---|---|---|
| confidence |
number (float) minimum: 0maximum: 1 |
Confidence of correctly extracting the formula. |
| kind |
Formula kind. |
|
| polygon |
number[] (float) |
Bounding polygon of the formula, with coordinates specified relative to the top-left of the page. The numbers represent the x, y values of the polygon vertices, clockwise from the left (-180 degrees inclusive) relative to the element orientation. |
| span |
Location of the formula in the reading order concatenated content. |
|
| value |
string |
LaTex expression describing the formula. |
DocumentFormulaKind
Formula kind.
| Value | Description |
|---|---|
| inline |
A formula embedded within the content of a paragraph. |
| display |
A formula in display mode that takes up an entire line. |
DocumentIntelligenceError
The error object.
| Name | Type | Description |
|---|---|---|
| code |
string |
One of a server-defined set of error codes. |
| details |
An array of details about specific errors that led to this reported error. |
|
| innererror |
An object containing more specific information than the current object about the error. |
|
| message |
string |
A human-readable representation of the error. |
| target |
string |
The target of the error. |
DocumentIntelligenceErrorResponse
Error response object.
| Name | Type | Description |
|---|---|---|
| error |
Error info. |
DocumentIntelligenceInnerError
An object containing more specific information about the error.
| Name | Type | Description |
|---|---|---|
| code |
string |
One of a server-defined set of error codes. |
| innererror |
Inner error. |
|
| message |
string |
A human-readable representation of the error. |
DocumentIntelligenceOperationStatus
Operation status.
| Value | Description |
|---|---|
| notStarted |
The operation has not started yet. |
| running |
The operation is in progress. |
| failed |
The operation has failed. |
| succeeded |
The operation has succeeded. |
| canceled |
The operation has been canceled. |
| skipped |
The operation has been skipped. |
DocumentIntelligenceWarning
The error object.
| Name | Type | Description |
|---|---|---|
| code |
string |
One of a server-defined set of warning codes. |
| message |
string |
A human-readable representation of the warning. |
| target |
string |
The target of the error. |
DocumentKeyValueElement
An object representing the field key or value in a key-value pair.
| Name | Type | Description |
|---|---|---|
| boundingRegions |
Bounding regions covering the key-value element. |
|
| content |
string |
Concatenated content of the key-value element in reading order. |
| spans |
Location of the key-value element in the reading order concatenated content. |
DocumentKeyValuePair
An object representing a form field with distinct field label (key) and field value (may be empty).
| Name | Type | Description |
|---|---|---|
| confidence |
number (float) minimum: 0maximum: 1 |
Confidence of correctly extracting the key-value pair. |
| key |
Field label of the key-value pair. |
|
| value |
Field value of the key-value pair. |
DocumentLanguage
An object representing the detected language for a given text span.
| Name | Type | Description |
|---|---|---|
| confidence |
number (float) minimum: 0maximum: 1 |
Confidence of correctly identifying the language. |
| locale |
string |
Detected language. Value may an ISO 639-1 language code (ex. "en", "fr") or BCP 47 language tag (ex. "zh-Hans"). |
| spans |
Location of the text elements in the concatenated content the language applies to. |
DocumentLine
A content line object consisting of an adjacent sequence of content elements, such as words and selection marks.
| Name | Type | Description |
|---|---|---|
| content |
string |
Concatenated content of the contained elements in reading order. |
| polygon |
number[] (float) |
Bounding polygon of the line, with coordinates specified relative to the top-left of the page. The numbers represent the x, y values of the polygon vertices, clockwise from the left (-180 degrees inclusive) relative to the element orientation. |
| spans |
Location of the line in the reading order concatenated content. |
DocumentPage
Content and layout elements extracted from a page from the input.
| Name | Type | Description |
|---|---|---|
| angle |
number (float) maximum: 180 |
The general orientation of the content in clockwise direction, measured in degrees between (-180, 180]. |
| barcodes |
Extracted barcodes from the page. |
|
| formulas |
Extracted formulas from the page. |
|
| height |
number (float) minimum: 0 |
The height of the image/PDF in pixels/inches, respectively. |
| lines |
Extracted lines from the page, potentially containing both textual and visual elements. |
|
| pageNumber |
integer (int32) minimum: 1 |
1-based page number in the input document. |
| selectionMarks |
Extracted selection marks from the page. |
|
| spans |
Location of the page in the reading order concatenated content. |
|
| unit |
The unit used by the width, height, and polygon properties. For images, the unit is "pixel". For PDF, the unit is "inch". |
|
| width |
number (float) minimum: 0 |
The width of the image/PDF in pixels/inches, respectively. |
| words |
Extracted words from the page. |
DocumentParagraph
A paragraph object consisting with contiguous lines generally with common alignment and spacing.
| Name | Type | Description |
|---|---|---|
| boundingRegions |
Bounding regions covering the paragraph. |
|
| content |
string |
Concatenated content of the paragraph in reading order. |
| role |
Semantic role of the paragraph. |
|
| spans |
Location of the paragraph in the reading order concatenated content. |
DocumentSection
An object representing a section in the document.
| Name | Type | Description |
|---|---|---|
| elements |
string[] |
Child elements of the section. |
| spans |
Location of the section in the reading order concatenated content. |
DocumentSelectionMark
A selection mark object representing check boxes, radio buttons, and other elements indicating a selection.
| Name | Type | Description |
|---|---|---|
| confidence |
number (float) minimum: 0maximum: 1 |
Confidence of correctly extracting the selection mark. |
| polygon |
number[] (float) |
Bounding polygon of the selection mark, with coordinates specified relative to the top-left of the page. The numbers represent the x, y values of the polygon vertices, clockwise from the left (-180 degrees inclusive) relative to the element orientation. |
| span |
Location of the selection mark in the reading order concatenated content. |
|
| state |
State of the selection mark. |
DocumentSelectionMarkState
State of the selection mark.
| Value | Description |
|---|---|
| selected |
The selection mark is selected, often indicated by a check ✓ or cross X inside the selection mark. |
| unselected |
The selection mark is not selected. |
DocumentSignatureType
Presence of signature.
| Value | Description |
|---|---|
| signed |
A signature is detected. |
| unsigned |
No signatures are detected. |
DocumentSpan
Contiguous region of the concatenated content property, specified as an offset and length.
| Name | Type | Description |
|---|---|---|
| length |
integer (int32) minimum: 0 |
Number of characters in the content represented by the span. |
| offset |
integer (int32) minimum: 0 |
Zero-based index of the content represented by the span. |
DocumentStyle
An object representing observed text styles.
| Name | Type | Description |
|---|---|---|
| backgroundColor |
string pattern: ^#[0-9a-f]{6}$ |
Background color in #rrggbb hexadecimal format.. |
| color |
string pattern: ^#[0-9a-f]{6}$ |
Foreground color in #rrggbb hexadecimal format. |
| confidence |
number (float) minimum: 0maximum: 1 |
Confidence of correctly identifying the style. |
| fontStyle |
Font style. |
|
| fontWeight |
Font weight. |
|
| isHandwritten |
boolean |
Is content handwritten? |
| similarFontFamily |
string |
Visually most similar font from among the set of supported font families, with fallback fonts following CSS convention (ex. 'Arial, sans-serif'). |
| spans |
Location of the text elements in the concatenated content the style applies to. |
DocumentTable
A table object consisting table cells arranged in a rectangular layout.
| Name | Type | Description |
|---|---|---|
| boundingRegions |
Bounding regions covering the table. |
|
| caption |
Caption associated with the table. |
|
| cells |
Cells contained within the table. |
|
| columnCount |
integer (int32) minimum: 1 |
Number of columns in the table. |
| footnotes |
List of footnotes associated with the table. |
|
| rowCount |
integer (int32) minimum: 1 |
Number of rows in the table. |
| spans |
Location of the table in the reading order concatenated content. |
DocumentTableCell
An object representing the location and content of a table cell.
| Name | Type | Default value | Description |
|---|---|---|---|
| boundingRegions |
Bounding regions covering the table cell. |
||
| columnIndex |
integer (int32) |
Column index of the cell. |
|
| columnSpan |
integer (int32) minimum: 1 |
1 |
Number of columns spanned by this cell. |
| content |
string |
Concatenated content of the table cell in reading order. |
|
| elements |
string[] |
Child elements of the table cell. |
|
| kind | content |
Table cell kind. |
|
| rowIndex |
integer (int32) |
Row index of the cell. |
|
| rowSpan |
integer (int32) minimum: 1 |
1 |
Number of rows spanned by this cell. |
| spans |
Location of the table cell in the reading order concatenated content. |
DocumentTableCellKind
Table cell kind.
| Value | Description |
|---|---|
| content |
Contains the main content/data. |
| rowHeader |
Describes the content of the row. |
| columnHeader |
Describes the content of the column. |
| stubHead |
Describes the row headers, usually located at the top left corner of a table. |
| description |
Describes the content in (parts of) the table. |
DocumentWord
A word object consisting of a contiguous sequence of characters. For non-space delimited languages, such as Chinese, Japanese, and Korean, each character is represented as its own word.
| Name | Type | Description |
|---|---|---|
| confidence |
number (float) minimum: 0maximum: 1 |
Confidence of correctly extracting the word. |
| content |
string |
Text content of the word. |
| polygon |
number[] (float) |
Bounding polygon of the word, with coordinates specified relative to the top-left of the page. The numbers represent the x, y values of the polygon vertices, clockwise from the left (-180 degrees inclusive) relative to the element orientation. |
| span |
Location of the word in the reading order concatenated content. |
LengthUnit
The unit used by the width, height, and polygon properties. For images, the unit is "pixel". For PDF, the unit is "inch".
| Value | Description |
|---|---|
| pixel |
Length unit for image files. |
| inch |
Length unit for PDF files. |
ParagraphRole
Semantic role of the paragraph.
| Value | Description |
|---|---|
| pageHeader |
Text near the top edge of the page. |
| pageFooter |
Text near the bottom edge of the page. |
| pageNumber |
Page number. |
| title |
Top-level title describing the entire document. |
| sectionHeading |
Sub heading describing a section of the document. |
| footnote |
A note usually placed after the main content on a page. |
| formulaBlock |
A block of formulas, often with shared alignment. |
StringIndexType
Method used to compute string offset and length.
| Value | Description |
|---|---|
| textElements |
User-perceived display character, or grapheme cluster, as defined by Unicode 8.0.0. |
| unicodeCodePoint |
Character unit represented by a single unicode code point. Used by Python 3. |
| utf16CodeUnit |
Character unit represented by a 16-bit Unicode code unit. Used by JavaScript, Java, and .NET. |